org.apache.cassandra.service

## Class MigrationListener

- java.lang.Object
- - org.apache.cassandra.service.MigrationListener

Direct Known Subclasses:
  AuthMigrationListener, SizeEstimatesRecorder

    public abstract class MigrationListener
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MigrationListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onCreateAggregate(java.lang.String ksName, java.lang.String aggregateName, java.util.List<AbstractType<?>> argTypes)`
`void` `onCreateColumnFamily(java.lang.String ksName, java.lang.String cfName)`
`void` `onCreateFunction(java.lang.String ksName, java.lang.String functionName, java.util.List<AbstractType<?>> argTypes)`
`void` `onCreateKeyspace(java.lang.String ksName)`
`void` `onCreateUserType(java.lang.String ksName, java.lang.String typeName)`
`void` `onCreateView(java.lang.String ksName, java.lang.String viewName)`
`void` `onDropAggregate(java.lang.String ksName, java.lang.String aggregateName, java.util.List<AbstractType<?>> argTypes)`
`void` `onDropColumnFamily(java.lang.String ksName, java.lang.String cfName)`
`void` `onDropFunction(java.lang.String ksName, java.lang.String functionName, java.util.List<AbstractType<?>> argTypes)`
`void` `onDropKeyspace(java.lang.String ksName)`
`void` `onDropUserType(java.lang.String ksName, java.lang.String typeName)`
`void` `onDropView(java.lang.String ksName, java.lang.String viewName)`
`void` `onUpdateAggregate(java.lang.String ksName, java.lang.String aggregateName, java.util.List<AbstractType<?>> argTypes)`
`void` `onUpdateColumnFamily(java.lang.String ksName, java.lang.String cfName, boolean affectsStatements)`
`void` `onUpdateFunction(java.lang.String ksName, java.lang.String functionName, java.util.List<AbstractType<?>> argTypes)`
`void` `onUpdateKeyspace(java.lang.String ksName)`
`void` `onUpdateUserType(java.lang.String ksName, java.lang.String typeName)`
`void` `onUpdateView(java.lang.String ksName, java.lang.String viewName, boolean columnsDidChange)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MigrationListener

    public MigrationListener()

### Method Detail

#### onCreateKeyspace

    public void onCreateKeyspace(java.lang.String ksName)

#### onCreateColumnFamily

    public void onCreateColumnFamily(java.lang.String ksName,
                                     java.lang.String cfName)

#### onCreateView

    public void onCreateView(java.lang.String ksName,
                             java.lang.String viewName)

#### onCreateUserType

    public void onCreateUserType(java.lang.String ksName,
                                 java.lang.String typeName)

#### onCreateFunction

    public void onCreateFunction(java.lang.String ksName,
                                 java.lang.String functionName,
                                 java.util.List<AbstractType<?>> argTypes)

#### onCreateAggregate

    public void onCreateAggregate(java.lang.String ksName,
                                  java.lang.String aggregateName,
                                  java.util.List<AbstractType<?>> argTypes)

#### onUpdateKeyspace

    public void onUpdateKeyspace(java.lang.String ksName)

#### onUpdateColumnFamily

    public void onUpdateColumnFamily(java.lang.String ksName,
                                     java.lang.String cfName,
                                     boolean affectsStatements)

#### onUpdateView

    public void onUpdateView(java.lang.String ksName,
                             java.lang.String viewName,
                             boolean columnsDidChange)

#### onUpdateUserType

    public void onUpdateUserType(java.lang.String ksName,
                                 java.lang.String typeName)

#### onUpdateFunction

    public void onUpdateFunction(java.lang.String ksName,
                                 java.lang.String functionName,
                                 java.util.List<AbstractType<?>> argTypes)

#### onUpdateAggregate

    public void onUpdateAggregate(java.lang.String ksName,
                                  java.lang.String aggregateName,
                                  java.util.List<AbstractType<?>> argTypes)

#### onDropKeyspace

    public void onDropKeyspace(java.lang.String ksName)

#### onDropColumnFamily

    public void onDropColumnFamily(java.lang.String ksName,
                                   java.lang.String cfName)

#### onDropView

    public void onDropView(java.lang.String ksName,
                           java.lang.String viewName)

#### onDropUserType

    public void onDropUserType(java.lang.String ksName,
                               java.lang.String typeName)

#### onDropFunction

    public void onDropFunction(java.lang.String ksName,
                               java.lang.String functionName,
                               java.util.List<AbstractType<?>> argTypes)

#### onDropAggregate

    public void onDropAggregate(java.lang.String ksName,
                                java.lang.String aggregateName,
                                java.util.List<AbstractType<?>> argTypes)